from byu_pytest_utils import max_score, with_import


@max_score(1)
@with_import
def test_print_with_headers_small(print_with_headers, capsys):
    print_with_headers([[1]])
    captured = capsys.readouterr()
    lines = captured.out.splitlines()
    assert lines[0].rstrip() == "  0"
    assert lines[1].rstrip() == "0 1"


@max_score(2)
@with_import
def test_print_with_headers_medium(print_with_headers, capsys):
    print_with_headers([[1, 2], [3, 4]])
    captured = capsys.readouterr()
    lines = captured.out.splitlines()
    assert lines[0].rstrip() == "  0 1"
    assert lines[1].rstrip() == "0 1 2"
    assert lines[2].rstrip() == "1 3 4"


@max_score(2)
@with_import
def test_print_with_headers_large(print_with_headers, capsys):
    print_with_headers([[1, 2, 3, 4], [5, 6, 7, 8]])
    captured = capsys.readouterr()
    lines = captured.out.splitlines()
    assert lines[0].rstrip() == "  0 1 2 3"
    assert lines[1].rstrip() == "0 1 2 3 4"
    assert lines[2].rstrip() == "1 5 6 7 8"
